function grid = createTrTeGrid( dirName, className, params, cmpCvAndTestPerfFun, dispLatexCode, paramText )

for trai = 1 : length( params )
for teai = 1 : length( params )
    [b, bs, s] = cmpCvAndTestPerfFun( dirName, className, params(trai), params(teai) );
    grid.b(trai,teai,:) = b;
    grid.bs(trai,teai,:) = bs;
    grid.s(trai,teai,:) = s;
    [b, bs, s] = modelsCvTestStats( b, bs, s );
    grid.bTestPerf(trai,teai) = b.testPerf;
    grid.bTestStd(trai,teai) = b.testPerfStd;
    grid.bsTestPerf(trai,teai) = bs.testPerf;
    grid.bsTestStd(trai,teai) = bs.testPerfStd;
    grid.sTestPerf(trai,teai) = s.testPerf;
    grid.sTestStd(trai,teai) = s.testPerfStd;
end
    grid.bNc(trai) = b.nc;
    grid.bsNc(trai) = bs.nc;
    grid.sNc(trai) = s.nc;
end

if nargin > 1 && dispLatexCode
    pStrs = {};
    for p = params
        pStrs{end+1} = [num2str(p) paramText];
    end
    latexTable( struct( 'data', [grid.bsTestPerf; grid.sTestPerf],...
                        'useEmph', 1, ...
                        'emphData', [eye(numel(params))*2;eye(numel(params))*2], ...
                        'manualHeader', ['|r|' repmat('c',1,numel(params)) '|'], ...
                        'tableColLabels', {pStrs},...
                        'tableRowLabels', {[strcat( '``bs'''' model, ', pStrs),...
                                           strcat( '``s'''' model, ', pStrs)]},...
                        'colRowLabel','\backslashbox{train}{test}',...
                        'dataFormat',{{'%.3f'}},...
                        'tableCaption', ['Comparison of glmnet \texttt{' className ...
                                         '} models test set performance. Average over '...
                                         'four train-/test-splits. Models from \texttt{' ... 
                                         dirName '}. Performances in $BAC_2$'],...
                        'tableLabel', [className '_' dirName '_Grid'] ));
    fprintf('\n');
    latexTable( struct( 'data', [grid.bsNc; grid.sNc],...
                        'tableColLabels', {pStrs},...
                        'tableRowLabels', {{'NC, ``bs'''' model','NC, ``s'''' model'}},...
                        'dataFormat',{{'%.1f'}},...
                        'tableCaption', ['Number of coefficients of glmnet \texttt{'...
                                         className '} models. Average over four '...
                                         'train-/test-splits. Models from '...
                                         '\texttt{' dirName '}.'],...
                        'tableLabel', [className '_' dirName '_GridNc'] ));
end
