Two!Ears Auditory Model
=======================

**A computational framework for modelling active exploratory listening that assigns meaning to auditory scenes**

The Two!Ears Auditory Model consists of several stages for modeling active human
listening. These stages include not only classical signal driven processing
steps like you can find in the [Auditory Modeling
Toolbox](http://amtoolbox.sourceforge.net/). It comes also with a complete
acoustical simulation framework for creating binaural ear signals for specified
acoustical scenes. The classical auditory signal processing is further
accompanied by a blackboard architecture that allows top-down processing and
the inclusion of world knowledge to the model.

The actual release of the model is available at its official [release
page](http://twoears.aipa.tu-berlin.de/download).  For an extensive
documentation on how to install and use the model have a look at its [online
documentation](http://twoears.aipa.tu-berlin.de/doc).

## Partners

The model is being developed by the partners of the EU project [Two!Ears](http://www.twoears.eu/).

* [Assessment of IP-based Applications Group, TU Berlin, Germany](http://www.aipa.tu-berlin.de/menue/assessment_of_ip-based_applications/parameter/en/)  
* [Neural Information Processing Group, TU Berlin, Germany](http://www.ni.tu-berlin.de/)  
* [Department of Electrical Engineering-Hearing Systems, Technical University of Denmark](http://www.hea.elektro.dtu.dk/)  
* [Institute of Communication Acoustics, Ruhr University Bochum, Germany](http://www.ruhr-uni-bochum.de/ika/)  
* [The Institute for Intelligent Systems and Robotics, UPMC, France](http://www.isir.upmc.fr/)  
* [Robotics, Action and Perception Group, LAAS, France](https://www.laas.fr/public/en/rap)  
* [Institute of Communications Engineering, University Rostock, Germany](http://www.int.uni-rostock.de/)  
* [Department of Computer Science, University of Sheffield, UK](http://www.shef.ac.uk/dcs)  
* [Human-Technology Interaction Group, Eindhoven University of Technology, Netherlands](http://hti.ieis.tue.nl/)  
* [The Center for Cognition, Communication, and Culture, Rensselaer, USA](http://ccc-rpi.org/)  

## Publications

A [list of all project publications](http://twoears.aipa.tu-berlin.de/publications/) can be found on the project homepage. Additional material for some of the publications can be found in the [papers
repository](https://github.com/TWOEARS/papers).

## License

If not otherwise stated inside single files the Two!Ears Auditory Model is
licensed under [GNU General Public License, version
2](http://www.gnu.org/licenses/gpl-2.0.html), and its parts available in the
`RoboticPlatform` and the `Tools` folder are licensed under [The BSD 2-Clause
License](http://opensource.org/licenses/BSD-2-Clause).

## Development

If you are interested in getting involved in the development of the Two!Ears
model, please visit the [development documentation
page](http://twoears.aipa.tu-berlin.de/doc/latest/dev/).

## Funding

This project has received funding from the European Union’s Seventh Framework
Programme for research, technological development and demonstration under grant
agreement no 618075.
